/* 画像をオリジナルの幅で縮小（拡大）表示する */
let img;	//読み込んだ画像をおさめる変数
let drawW = 1;	//画像を描画する幅を固定
let drawH;			//画像を描画する高さ（値は後で計算）
function preload(){
	img = loadImage("./data/monalisa.jpg");
}
function setup(){
	createCanvas(windowWidth, windowHeight);
}
function draw(){
	background(0);
	let w = img.width;	//画像のオリジナルの幅を取得（読み込みが完了していないと取得できない）
	let h = img.height;	//画像のオリジナルの高さを取得
	let bai = drawW / w;  //「表示したい大きさ÷下の大きさ」で表示倍率を計算
	drawH = h * bai;   //画像のオリジナルの高さに表示倍率をかける
	imageMode(CENTER);    //基準を画像の中心にする
	image(img, width/2, height/2, drawW, drawH);    //drawW, drawHの大きさで表示

	drawW = drawW + 1;
}
